require 'cocoapods'

module Pod
  class Command
    class Open < Command
      self.summary = '快速打开项目的 .xcworkspace'

      self.description = <<-DESC
        快速打开项目的 .xcworkspace
      DESC

      def validate!
        super

        workspace_list = Pathname.glob('*.xcworkspace')
        @workspace_path = workspace_list.first if workspace_list.size == 1

        help! '没有找到 xcworkspace' unless @workspace_path.exist?
      end

      def run
        `open #{@workspace_path}`
      end
    end
  end
end