require 'cocoapods'

module Pod

  class Podfile
    @@is_release_mode = false
    def self.set_is_release_mode(mode)
      @@is_release_mode = mode
    end
    def self.is_release_mode?
      @@is_release_mode
    end
  end

  class Command

    class Release < Command

      self.summary = '以 release 模式集成 pods'

      self.description = <<-DESC
        
        以 release 模式集成 Pods
        
        可以在 Podfile 中通过 @@debug_only_pods = [pod_name] 的方式指定 debug 模式下的 Pod

        当执行 pod release 时，会自动剔除 @@debug_only_pods 内所定义的 Pod

      DESC

      def run
        Pod::Podfile::set_is_release_mode(true)
        installer_for_config.install!
      end

    end

  end

end