require 'cocoapods-dongjia/command'
require_relative 'dongjia_source'
require_relative 'dongjia_enterprise_inspector'
require_relative 'dongjia_pods_iterator'
require_relative 'dongjia_router'
require_relative 'dongjia_binarization'

require_relative 'helper/podfile'
require_relative 'helper/podfile_options'
require_relative 'helper/installer'
require_relative 'helper/Core/podfile/dsl'

module Dongjia

  Pod::HooksManager.register('cocoapods-dongjia', :pre_install) do |ctx, params|

    private_config_path = ctx.podfile.defined_in_file.dirname.join("PrivateConfig.yml")
    if private_config_path.exist?
      private_config = YAML.load(File.read(private_config_path))
      if private_config.is_a?(Hash)
        binary = private_config["binary"]
        if binary.is_a?(Hash)
          Binarization.load_private_config(ctx, binary)
          Binarization.remove_dirty_pod_projects()
        end
      end
    end

    podfile = ctx.podfile

    # 禁用集成完后的反馈
    ENV['COCOAPODS_DISABLE_STATS'] = 'true'
    
    # 设置是否使用私有源 [http://code.kaipao.cc/ios-team/DJSpecs]
    DongjiaSource.import(params[:use_private_source], podfile)

    # 关闭静态框架依赖传递的校验
    Pod::Installer::Xcode::TargetValidator.send(:define_method, :verify_no_static_framework_transitive_dependencies) {}
  end
  
  Pod::HooksManager.register('cocoapods-dongjia', :post_install) do |ctx, params|

    # 关闭警告 / 检查 LTO
    PodsIterator.iterate(params, ctx.sandbox_root)

    # 抓取所有路由汇总至
    # router = Router.new
    # router.scrape_routers(ctx.sandbox_root, params[:scrap_routers])
  end
end
