module Pod
  class Podfile
    module DSL
      # Hook Podfile 中的 install: 方法，将当前版本 Cocoapods 不支持的 option 剔除
      original_install = instance_method(:install!)
      define_method(:install!) do |installation_method, options = {}|
        all_options = Installer::InstallationOptions::all_options
        valid_options = {}
        options.each do |k, v|
          valid_options.merge!({k => v}) if all_options.include?(k.to_s)
        end
        original_install.bind(self).(installation_method, valid_options)
      end
    end
  end
end