require 'cocoapods-dongjia/gem_version'
require 'dongjia_config'
require 'gems'

module Dongjia

  class DongjiaVersionChecker

    def self.check_version

      Pod::UI.puts 'Done.'

      begin

        Config.is_expired?('latest_check_tm', 24 * 60 * 60) do |config, update|

          info = Gems.info 'cocoapods-dongjia'
          latest_version = info['version']
          v = CocoapodsDongjia::VERSION

          if Gem::Version.new(v) < Gem::Version.new(latest_version)
            update_desc = info['metadata']['update_desc']
            warnings = "cocoapods-dongjia #{latest_version} is available.\n\n"
            warnings << update_desc.rstrip << "\n\n"
            warnings << "To upgrade: [sudo] gem install cocoapods-dongjia\n"
            Pod::UI.warn warnings
          end

          update.call

        end

      rescue => e
        puts "Error: #{e}"
      end
    end

  end

end
