require_relative 'dongjia_version_checker'
require_relative '../dongjia_binarization'

module Pod

  class Installer

    class PodSourceInstaller
      # 关闭自己仓库中 pod 的安全警告
      old_method = instance_method(:verify_source_is_secure)
      define_method(:verify_source_is_secure) do |root_spec|
        url = root_spec.source[:http]
        if url != nil && !url.start_with?('http://code.kaipao.cc')
          old_method.bind(self).(root_spec)
        end
      end
    end

    # Hook post_installer
    origin_perform_post_install_actions = instance_method(:perform_post_install_actions)
    define_method :perform_post_install_actions do
      origin_perform_post_install_actions.bind(self).()
      Dongjia::DongjiaVersionChecker.check_version
    end

    # Hook Pods.xcodeproj 尚未写入
    origin_run_podfile_post_install_hooks = instance_method(:run_podfile_post_install_hooks)
    define_method :run_podfile_post_install_hooks do
      origin_run_podfile_post_install_hooks.bind(self).()
      # 处理二进制化
      # Dongjia::Binarization.process(self)
    end

    # Hook Pods.xcodeproj 已生成完毕
    origin_generate_pods_project = instance_method(:generate_pods_project)
    define_method :generate_pods_project do
      origin_generate_pods_project.bind(self).()
      # 处理二进制化
      Dongjia::Binarization.process(self)
    end
  end
end