require_relative 'pod'

module Pod

  class Podfile

    module DSL
      def localpod(name = nil, *requirements)
        Pod::inject_local_path(name, requirements)
        pod(name, *requirements)
      end

      alias :lpod :localpod
    end

    class TargetDefinition

      def parse_requirements(name, requirements)

        options = requirements.last
        if options.is_a?(Hash)
          if options[:local] == true
            Pod::inject_local_path(name, requirements)
          elsif not ([:branch, :commit, :tag] & options.keys).empty? and options[:git] == nil
            Pod::inject_remote_git(name, requirements)
          end
        end
      end

      old_method = instance_method(:parse_inhibit_warnings)
      define_method(:parse_inhibit_warnings) do |name, requirements|
        parse_requirements(name, requirements)
        old_method.bind(self).(name, requirements)
      end

    end

  end

end