require 'xcodeproj'

module Xcodeproj

  class Project

    # 设置对应 target 为可见
    # 逻辑参考 Xcodeproj::Project.recreate_user_schemes 方法
    def set_target_scheme_visible(target, visible = true)
      schemes_dir = XCScheme.user_data_dir(target.project.path)

      xcschememanagement_path = schemes_dir + 'xcschememanagement.plist'

      xcschememanagement = Plist.read_from_path(xcschememanagement_path)

      user_state = xcschememanagement['SchemeUserState']

      key = target.name + '.xcscheme'

      user_state[key]['isShown'] = visible

      Plist.write_to_path(xcschememanagement, xcschememanagement_path)
    end

  end

end